from flask import Flask, request, jsonify, session, current_app
import os
from flask_sqlalchemy import SQLAlchemy
from datetime import timedelta
from datetime import datetime, date
from manager.tools import get_config
import yagmail


config=get_config()
mysqlConf=config["mysql"]
eamilConf=config["email"]
# redisConf=config["redis"]
# emailConf=config["email"]


# class CustomJSONEncoder(JSONEncoder):
#     def default(self, obj):
#         if isinstance(obj, datetime):
#             return obj.strftime('%Y-%m-%d %H:%M:%S')
#         elif isinstance(obj, date):
#             return obj.strftime('%Y-%m-%d')
#         else:
#             return JSONEncoder.default(self, obj)
        
class server():
    app = Flask(__name__, template_folder='auto_test/html', static_folder='')
    app.config['SQLALCHEMY_DATABASE_URI'] = f"mysql+pymysql://{mysqlConf['user']}:{mysqlConf['password']}@{mysqlConf['host']}:{mysqlConf['port']}/{mysqlConf['db']}?charset=utf8mb4"
    app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = True
    app.config['SECRET_KEY'] = os.urandom(24)
    app.config['PERMANENT_SESSION_LIFETIME'] = timedelta(days=7)
    app.secret_key = "test"
    # app.json_encoder = CustomJSONEncoder
    db = SQLAlchemy(app)
    
    
class emailserver():
    server=yagmail.SMTP(user=eamilConf["user"], password=eamilConf["password"], host=eamilConf["host"],port=eamilConf["port"])
    # def send(self,to,subject,contents=None,attachments=None):
    #     '''
    #     to 发送目标，数组时为多人
    #     contents 内容
    #     attachments 附件，数组时为多个
    #     '''
    #     emailserver.server.send()
        


